La possibilité d'une version 2.4 au lieu de 2.2.17

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
#1
Sur le svn création d'une branche pour la possibilité d'une version 2.4 pour remplacer la 2.2.17
- utilisation de Smarty 4.1.0
- correction PHP 8.1
- remplacement de strftime par \IntlDateFormatter (compatible PHP 8.1)
- correction de plugins/modifier.date_format.php pour résoudre la dépréciation de la fonction strftime
- correction pour PHP 8.1
- PHPMailer mis à jour en version 6.6.0
J-C Etiemble Tutoriels v 2.2.x
Répondre
#1
Sur le svn création d'une branche pour la possibilité d'une version 2.4 pour remplacer la 2.2.17
- utilisation de Smarty 4.1.0
- correction PHP 8.1
- remplacement de strftime par \IntlDateFormatter (compatible PHP 8.1)
- correction de plugins/modifier.date_format.php pour résoudre la dépréciation de la fonction strftime
- correction pour PHP 8.1
- PHPMailer mis à jour en version 6.6.0
J-C Etiemble Tutoriels v 2.2.x
Répondre
#2
Nouvelle salve de mise à jour ça passe en Révision 12788 -- minor tweaks;
A suivre sur  la page Informations sur les versions en développement
J-C Etiemble Tutoriels v 2.2.x
Répondre
#2
Nouvelle salve de mise à jour ça passe en Révision 12788 -- minor tweaks;
A suivre sur  la page Informations sur les versions en développement
J-C Etiemble Tutoriels v 2.2.x
Répondre
#3
Un soucis sur la Révision 12788 sur le Gestionnaire des contenus
Notice: Undefined variable: opts in  ... ../modules/CMSContentManager/action.ajax_get_content.php on line 131
Suite
http://viewsvn.cmsmadesimple.org/diff.ph...&peg=12785
J-C Etiemble Tutoriels v 2.2.x
Répondre
#3
Un soucis sur la Révision 12788 sur le Gestionnaire des contenus
Notice: Undefined variable: opts in  ... ../modules/CMSContentManager/action.ajax_get_content.php on line 131
Suite
http://viewsvn.cmsmadesimple.org/diff.ph...&peg=12785
J-C Etiemble Tutoriels v 2.2.x
Répondre
#4
Un petit complément sur Smarty qui est passé de la 4.1.0 à la v4.1.1 (17/05/2022)  et maintenant à la v4.2.0 (01/08/22)
ça corrige assez vite chez eux  Wink

Pour la branche 2.4 la dernière Révision 12790 du 05/08/22
J-C Etiemble Tutoriels v 2.2.x
Répondre
#4
Un petit complément sur Smarty qui est passé de la 4.1.0 à la v4.1.1 (17/05/2022)  et maintenant à la v4.2.0 (01/08/22)
ça corrige assez vite chez eux  Wink

Pour la branche 2.4 la dernière Révision 12790 du 05/08/22
J-C Etiemble Tutoriels v 2.2.x
Répondre
#5
Pour information et tests ma version 2.4-b.22.4-b.2a (14/08/2022) testée sur PHP 7.4.x, 8.0.x, 8.1.x (mode développement)
- *mise à jour en Smarty 4.2.0 sur le cms
- Corrections de compatibilité PHP 8.1
J-C Etiemble Tutoriels v 2.2.x
Répondre
#5
Pour information et tests ma version 2.4-b.22.4-b.2a (14/08/2022) testée sur PHP 7.4.x, 8.0.x, 8.1.x (mode développement)
- *mise à jour en Smarty 4.2.0 sur le cms
- Corrections de compatibilité PHP 8.1
J-C Etiemble Tutoriels v 2.2.x
Répondre
#6
Pour information avec ma version 2.4-b.22.4-b.2a (14/08/2022)
Test en local avec PHP 8.2.0beta2 (mode production) sans problème Wink
J-C Etiemble Tutoriels v 2.2.x
Répondre
#6
Pour information avec ma version 2.4-b.22.4-b.2a (14/08/2022)
Test en local avec PHP 8.2.0beta2 (mode production) sans problème Wink
J-C Etiemble Tutoriels v 2.2.x
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)